GH-RUN-DOWNLOAD(1)

NAME

gh-run-download - Download artifacts generated by a workflow run

SYNOPSIS

gh run download [<run-id>] [flags]

DESCRIPTION

Download artifacts generated by a GitHub Actions workflow run.

The contents of each artifact will be extracted under separate directories based on the artifact name. If only a single artifact is specified, it will be extracted into the current directory.

OPTIONS

-D, --dir <string>
    The directory to download artifacts into

-n, --name <stringArray>
    Download artifacts that match any of the given names

-p, --pattern <stringArray>
    Download artifacts that match a glob pattern

OPTIONS INHERITED FROM PARENT COMMANDS

-R, --repo <[HOST/]OWNER/REPO>
    Select another repository using the [HOST/]OWNER/REPO format

EXAMPLE
    # Download all artifacts generated by a workflow run
    $ gh run download <run-id>
    # Download a specific artifact within a run
    $ gh run download <run-id> -n <name>
    # Download specific artifacts across all runs in a repository
    $ gh run download -n <name1> -n <name2>
    # Select artifacts to download interactively
    $ gh run download

SEE ALSO

gh-run(1)